### A free/open-source library for quantitative finance

Public Member Functions
PlainVanillaPayoff Class Reference

Plain-vanilla payoff. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for PlainVanillaPayoff:
[legend]

List of all members.

## Public Member Functions

| PlainVanillaPayoff (Option::Type type, Real strike)
Payoff interface
std::string | name () const
Real | operator() (Real price) const
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Plain-vanilla payoff.

Examples:
  DiscreteHedging.cpp, EquityOption.cpp, and Replication.cpp.

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.